
Figure - Bug #117768
【BSP】【EVT3】【VC1】【ST】【Display】0095版本热插拔后，会偶现黑屏现象
2023-05-05 18:16 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-05

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 此问题应为冷插拔数据线时出现的黑屏问题，其原因是，在uefi阶段初始化时，没有连接数据线，无法对屏端进行初始化，在kernerl阶段不会对屏端再次进行初始化，若在UEFI到kernel加载期间将数据线连接上，DTC无法判断屏端是否已经初始化，连接状态正常，不会再进行初始化。

Description

【前提条件】

None

【测试步骤】

1. 烧写0095版本

2. 在开机过程中或开机后，进行热插拔显示传输线

3. 多次重复观察现象

【预期结果】

3. 显示正常，且可以恢复

【实际结果】

3 会出现黑屏现象

Subtasks:

Bug # 117770: 【BSP】【EVT3】【ST】【Display】0095重启后概率出现花屏，重启无效，需要热拔插... CLOSED

Bug # 117866: 【BSP】【EVT1】【ST】【Display】VX1板子 冷插拔后，出现黑屏现象 CLOSED

History

#1 - 2023-05-05 18:34 - CDTS_TEST 王成

- Subject changed from 【BSP】【EVT3】【ST】【Display】0095版本热插拔后，会偶现花屏、黑屏等现象 to 【BSP】【EVT3】【ST】【Display】0095版本

热插拔后，会偶现黑屏现象

#2 - 2023-05-05 18:34 - CDTS_TEST 王成

- File deleted (中科创达软件股份有限公司20230505-181508.jpg)

#3 - 2023-05-05 18:34 - CDTS_TEST 王成

- File deleted (中科创达软件股份有限公司20230505-181515.jpg)

#4 - 2023-05-05 18:39 - CDTS_TEST 王成

- Description updated

#5 - 2023-05-08 14:03 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Root cause set to 此问题应为冷插拔数据线时出现的黑屏问题，其原因是，在uefi阶段初始化时，没有连接数据线，无法对屏端进行初始化，在kernerl阶段

不会对屏端再次进行初始化，若在UEFI到kernel加载期间将数据线连接上，DTC无法判断屏端是否已经初始化，连接状态正常，不会再进行初始化。

2025-07-04 1/2



此问题应为冷插拔数据线时出现的黑屏问题，其原因是，在uefi阶段初始化时，没有连接数据线，无法对屏端进行初始化，在kernerl阶段不会对屏端再次

进行初始化，若在UEFI到kernel加载期间将数据线连接上，DTC无法判断屏端是否已经初始化，连接状态正常，不会再进行初始化。

#6 - 2023-05-11 10:04 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT3】【ST】【Display】0095版本热插拔后，会偶现黑屏现象 to 【BSP】【EVT3】【VC1】【ST】【Display】0095版本

热插拔后，会偶现黑屏现象

#7 - 2023-05-11 20:08 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

#8 - 2023-05-16 14:51 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0100和FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054 未复现黑屏不亮屏的情况，因此关闭次issue，有其他黑屏由其他bug跟踪

https://share.thundersoft.com/redmine/issues/117953

https://share.thundersoft.com/redmine/issues/117954

https://share.thundersoft.com/redmine/issues/117955

https://share.thundersoft.com/redmine/issues/117956

#9 - 2023-05-16 14:51 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

kernel.txt 346 KB 2023-05-05 移动测试一组_CDTS 刘强

中科创达软件股份有限公司20230505-181519.mp4 5.74 MB 2023-05-05 移动测试一组_CDTS 刘强
